%define name    pxe 
%define version 1.2.0
%define release 8mdk

%define tftpbase /tftpboot

Name:           %{name}
Summary:        A Linux PXE (Preboot eXecution Environment) package.
Group:          System/Servers
Version:        %{version}
Release:        %{release}
License:        GPL
URL: 		http://www.kano.org.uk/projects/pxe
Patch0:		pxe-1.2.0.patch.bz2
Requires:       chkconfig, syslinux >= 1.67
Provides:	pxeserver
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}
Source:		%{name}-%{version}.tar.bz2
Source1: 	pxe
Source2: 	pxe.conf
Source3:	dhcpd.conf.pxe
Source8:	default
Source9:	messages

%package 	sample
Summary:        A Linux PXE (Preboot eXecution Environment) sample configuration
Group:          System/Configuration/Networking
Requires:       syslinux >= 1.67
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}
Source4:        %{name}-sample-%{version}.tar.bz2

%package	bootstraps
Summary:	A compilation of Linux PXE (Preboot eXecution Environment) Bootstraps
Group:		System/Servers
BuildRequires:	dev86-devel
Requires:	syslinux >= 1.67
Source5:	pxe-linux.tar.bz2
Source6:	grubNBI.tar.bz2
Source7:	pxedoc.tar.bz2
Patch1:		pxe-1.0-cmdlinearg.patch.bz2
Patch2:	 	pxe-linux-config.patch.bz2


%description bootstraps
This package contains a compiltation of PXE bootstraps.

%description sample
The pxe package contains the PXE (Preboot eXecution Environment)
sample configure that helps you to build your PXE server.

%description 
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server.


%prep 
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 4
%setup -q -T -D -a 5
%setup -q -T -D -a 6
%setup -q -T -D -a 7
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%configure
%make
make -C pxe-linux/nbp.linux

%install
myname=`id -un`
mygroup=`id -gn`
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{tftpbase}/PXEClient/pxelinux.cfg
mkdir -p %{buildroot}%{tftpbase}/X86PC/linux/
%makeinstall INSTALL_USER=$myname INSTALL_GROUP=$mygroup
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/pxe
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/pxe.conf
install -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/dhcpd.conf.pxe
install -m644 %{SOURCE8} %{buildroot}%{tftpbase}/PXEClient/pxelinux.cfg/default
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/pxe-linux/nbp.linux/linux.0 %{buildroot}%{tftpbase}/X86PC/linux/linux.0
install -m644 %{SOURCE9} %{buildroot}%{tftpbase}/PXEClient/messages
%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
%_post_service pxe
mkdir -p %{tftpbase}/PXEClient
cp /usr/lib/syslinux/pxelinux.0 %{tftpbase}/PXEClient/ -f
cp /usr/bin/memdisk %{tftpbase}/PXEClient/ -f

%post sample
cp /usr/bin/memdisk  %{_defaultdocdir}/%{name}-sample-%{version}%{tftpbase}/PXEClient
cp %{_defaultdocdir}/%{name}-sample-%{version}%{tftpbase}/PXEClient %{_defaultdocdir}/%{name}-sample-%{version}%{tftpbase}/X86PC/linux -af

%post bootstraps
mkdir -p %{_defaultdocdir}/%{name}-bootstraps-%{version}/pxelinux
cp /usr/bin/memdisk  %{_defaultdocdir}/%{name}-bootstraps-%{version}/pxelinux/
cp /usr/lib/syslinux/pxelinux.0 %{_defaultdocdir}/%{name}-bootstraps-%{version}/pxelinux/

%preun
%_preun_service pxe

%postun -p /sbin/ldconfig

%files bootstraps
%defattr(-,root,root)
%doc pxe-linux/nbp.linux/linux.0
%doc grubNBI/*

%files sample
%defattr(-,root,root)
%doc pxe-1.2.0/* 

%files
%defattr(-,root,root)
%doc README LICENCE INSTALL Changes pxedoc/*
%attr(755,root,root) %{_sbindir}/pxe
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/pxe.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe
%attr(644,root,root) %config(noreplace) %{tftpbase}/PXEClient/pxelinux.cfg/default
%attr(644,root,root) %config(noreplace) %{tftpbase}/PXEClient/messages
%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux/linux.0
%config(noreplace) %{_initrddir}/pxe

%changelog
* Tue Mar 12 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-8mdk
- Fixing wrong place of pxelinux.0 in package syslinux 
* Wed Mar 06 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-7mdk
- Fixing error in pxe init script
* Fri Feb 27 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-6mdk
- Updating documentation
* Fri Feb 26 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-5mdk
- Adding pxelinux.0 (syslinux pxe) in default configuration
- Adding linux.0 (nbp pxe) in default configuration
- Removing dependencies on dhcpd-server & tftp-server, adding warnings.
- Adding new version of documentation
* Fri Feb 25 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-4mdk
- Splitting bootstraps in a third party package
- Adding html documentation version 1.0
* Fri Feb 22 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-3mdk
- Fixing dhcpd.conf.pxe
- Fixing tree architecture of pxe-sample
* Mon Feb 18 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-2mdk
- Fixing scripts and configuration files
- Added sample subpackage
* Fri Feb 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.0-1mdk
- First realease for Mandrakesoft
